Marie Ramlow
8d4e4d3de6
zxing-cpp: 3.0.2 -> 3.1.1
...
Diff: https://github.com/zxing-cpp/zxing-cpp/compare/v3.0.2...v3.1.1
Changelog: https://github.com/zxing-cpp/zxing-cpp/releases/tag/refs/tags/v3.1.1
2026-08-03 14:21:17 +02:00
Marie Ramlow
ab7bf6b39e
zxing-cpp: enable old and new writers
...
See https://github.com/zxing-cpp/zxing-cpp/releases/tag/v3.0.1
> It is generally advised for package maintainers to use the BOTH config option during the 3.0 release cycle to allow client applications (like e.g. LibreOffice) to work until they switch to the new API.
2026-08-03 13:31:02 +02:00
Aliaksandr
2f81259e56
zxing-cpp: 2.3.0 -> 3.0.2
2026-07-24 21:45:50 +02:00
Aliaksandr
c7010daad2
zxing-cpp: add qweered to maintainers
2026-07-24 21:45:49 +02:00
Travis A. Everett
1641b0188d
various: switch resholve + rec packages to finalAttrs
...
These likely would have been switched long ago by various automated
PRs if not for lack of support in resholve.mkDerivation.
2026-05-15 19:46:05 -05:00
Peder Bergebakken Sundt
caf7616121
zxtune: add pbsds to maintainers
2026-03-18 01:14:22 +01:00
Peder Bergebakken Sundt
3981d04f63
zxtune: unbreak build
...
fixes https://hydra.nixos.org/build/317966891
2026-03-18 01:14:21 +01:00
quantenzitrone
18dc8a95fb
various: switch buildPythonApplication packages to use finalAttrs
...
this shouldn't create any rebuilds
the following script was used to generate this:
```fish
#!/usr/bin/env fish
# nix shell .#nixfmt nixpkgs#{nixf-diagnose,ripgrep,sd}
set base (git rev-parse HEAD)
set scope pkgs/by-name
set builder buildPythonApplication
set files (rg --files-with-matches -F "$builder rec {" $scope | sort -u)
for file in $files
echo $file
sd -F "$builder rec {" "$builder (finalAttrs: {" $file
# version
sd -F 'version}' 'finalAttrs.version}' $file
sd -F '${version' '${finalAttrs.version' $file
sd -F '= version' '= finalAttrs.version' $file
sd -F 'inherit version;' 'inherit (finalAttrs) version;' $file
sd -F ' + version;' ' + finalAttrs.version;' $file
sd 'replaceStrings (.*) version' 'replaceStrings $1 finalAttrs.version' $file
sd -F 'splitVersion version' 'splitVersion finalAttrs.version' $file
sd -F 'versionAtLeast version' 'versionAtLeast finalAttrs.version' $file
sd 'versions\.([a-z]+) version' 'versions.$1 finalAttrs.version' $file
# src
sd -F 'src}' 'finalAttrs.src}' $file
sd -F '${src' '${finalAttrs.src' $file
sd -F '= src' '= finalAttrs.src' $file
sd -F 'inherit src;' 'inherit (finalAttrs) src;' $file
sd -F 'inherit (src' 'inherit (finalAttrs.src' $file
# meta
sd -F '${meta' '${finalAttrs.meta' $file
sd -F '= meta' '= finalAttrs.meta' $file
sd -F 'inherit (meta' 'inherit (finalAttrs.meta' $file
# pname (restored afterwards)
sd -F 'pname}' 'finalAttrs.pname}' $file
sd -F '${pname' '${finalAttrs.pname' $file
sd -F '= pname' '= finalAttrs.pname' $file
# combinations
sd -F 'inherit version src;' 'inherit (finalAttrs) version src;' $file
sd -F 'inherit src version;' 'inherit (finalAttrs) src version;' $file
sd -F 'inherit version pname;' 'inherit (finalAttrs) version pname;' $file
sd -F 'inherit pname version;' 'inherit (finalAttrs) pname version;' $file
sd -F 'inherit pname src version;' 'inherit (finalAttrs) pname src version;' $file
sd -F 'inherit pname version src;' 'inherit (finalAttrs) pname version src;' $file
sd -F 'inherit src pname version;' 'inherit (finalAttrs) src pname version;' $file
sd -F 'inherit src version pname;' 'inherit (finalAttrs) src version pname;' $file
sd -F 'inherit version pname src;' 'inherit (finalAttrs) version pname src;' $file
sd -F 'inherit version src pname;' 'inherit (finalAttrs) version src pname;' $file
# other
sd -F 'makeLibraryPath buildInputs' 'makeLibraryPath finalAttrs.buildInputs' $file
sd -F 'nativeBuildInputs}' 'finalAttrs.nativeBuildInputs}' $file
sd -F 'buildInputs}' 'finalAttrs.buildInputs}' $file
sd -F 'propagatedBuildInputs}' 'finalAttrs.propagatedBuildInputs}' $file
sd -F 'desktopItem}' 'finalAttrs.desktopItem}' $file
sd -F 'runtimeLibs}' 'finalAttrs.runtimeLibs}' $file
sd -F 'makePythonPath dependencies' 'makePythonPath finalAttrs.dependencies' $file
sd -F 'makePythonPath propagatedBuildInputs' 'makePythonPath finalAttrs.propagatedBuildInputs' $file
sd -F 'libPath}' 'finalAttrs.libPath}' $file
sd -F 'runtimeDependencies}' 'finalAttrs.runtimeDependencies}' $file
sd -F 'runtimeDeps}' 'finalAttrs.runtimeDeps}' $file
sd -F 'nativeRuntimeInputs}' 'finalAttrs.nativeRuntimeInputs}' $file
sd -F '(!doCheck)' '(!finalAttrs.doCheck)' $file
sd -F 'optional doCheck' 'optional finalAttrs.doCheck' $file
sd -F 'optionals doCheck' 'optionals finalAttrs.doCheck' $file
sd -F '++ runtimeDependencies' '++ finalAttrs.runtimeDependencies' $file
# close finalAttrs lambda
echo ')' >>$file
# catch some errors early
if ! nixfmt $file
git restore $file
continue
end
if ! nixf-diagnose -i sema-primop-overridden $file
git restore $file
continue
end
end
set torestore (rg -F .finalAttrs --files-with-matches $scope)
if test (count $torestore) -gt 0
git restore $torestore
end
set torestore (rg -F finalAttrs.pname --files-with-matches $scope)
if test (count $torestore) -gt 0
git restore $torestore
end
# commit for faster eval times
git add pkgs
git commit --no-gpg-sign -m temp
set torestore
for file in $files
# file hasn't changed
if git diff --quiet $base $file
continue
end
# try to eval the package to definitely catch all errors
echo $file
set pname (string split / $file -f 4)
if ! nix eval .#$pname
set torestore $torestore $file
end
end
# restore files that don't eval
git reset --soft $base
git restore --staged .
if test (count $torestore) -gt 0
git restore $torestore
end
```
after that some manual cleanup was done:
- restoring files that cause changes in the number of lines
- restoring files that cause rebuilds
- restoring files that cause merge conflicts with staging
2026-02-07 10:06:06 +01:00
quantenzitrone
6b61249106
various: switch to finalAttrs pattern
...
this shouldn't create any rebuilds
2026-01-30 02:36:22 +01:00
Dyego Aurélio
28096cc5e3
treewide: apply nixfmt 1.2.0
2026-01-22 18:37:56 -03:00
René Neumann
c3b80e5f78
maintainers: drop urandom
2026-01-14 15:46:03 +01:00
Matt Christiansen
19e0eaa43c
zx: pin nodejs to nodejs_22
2026-01-08 13:13:51 -08:00
Justin Restivo
e68003fa57
zxing: fix fetchedMavenDeps hash
...
sha256-wVkWbhi5b/rZ0EF5zlQr2BMVOm5nZ1DhI6SGksZO5Vg= -> sha256-G21YIzAuc4LZhVqPmd2i/N42anUzmfqyciYR5XclzKk=
2025-12-31 09:54:15 -05:00
K900
d9764e9055
Merge remote-tracking branch 'origin/master' into staging-next
2025-12-22 15:39:52 +03:00
Martin Joerg
77ac9c6301
zxing: add zxing-gui-runner
2025-12-21 10:03:30 +00:00
Martin Joerg
5f5ec4e611
zxing: add meta attributes
2025-12-21 10:03:29 +00:00
Martin Joerg
9ee03b77d4
zxing: avoid warning when no arguments are passed
2025-12-21 10:03:29 +00:00
Martin Joerg
90a39aefb7
zxing: correctly reference scripts with absolute paths
...
This is necessary for zxing to work properly when it is not in PATH, such as when using nix run,
and ensures that the correct version is used.
2025-12-21 10:03:28 +00:00
Martin Joerg
44127c9ff5
zxing: improve help output
2025-12-21 10:03:27 +00:00
Martin Joerg
70ec406c1b
zxing: use buildMavenPackage
...
This automatically pulls in all necessary dependencies.
Required dependencies have been missing since 117ea0db04 .
2025-12-21 10:03:27 +00:00
Wolfgang Walther
46c0c0eae7
Merge branch 'staging-next' into staging
2025-12-10 18:42:31 +01:00
Ihar Hrachyshka
567e8dfd8e
treewide: clean up 'meta = with' pattern
...
This commit was created by a combination of scripts and tools:
- an ast-grep script to prefix things in meta with `lib.`,
- a modified nixf-diagnose / nixf combination to remove unused `with
lib;`, and
- regular nixfmt.
Co-authored-by: Wolfgang Walther <walther@technowledgy.de >
2025-12-10 18:09:49 +01:00
nixpkgs-ci[bot]
cda25e78e9
Merge staging-next into staging
2025-12-08 18:06:58 +00:00
c6rg0
6d93091beb
zxing: 3.5.3 -> 3.5.4
2025-12-07 20:15:05 +00:00
Jonathan Davies
116036d574
treewide: Remove redundant versionCheckProgramArg = "--version"; with:
...
```shell
git grep -l -e 'versionCheckProgramArg = "--version";' -e 'versionCheckProgramArg = \[ "--version" \];' | while read f; do
sed -i '/versionCheckProgramArg/d' "$f"
sed -i '/^$/N;/\n$/D' "$f"
done
```
2025-11-20 10:39:02 +00:00
qzylinra
db4d0252ea
zx: 8.5.4 -> 8.8.5
2025-11-06 14:38:22 +08:00
Michael Daniels
eb833639c8
treewide: drop figsoda as maintainer (part 1)
...
s/maintainers = with lib.maintainers; [ figsoda ];/maintainers = with lib.maintainers; [ ];/
2025-11-02 20:16:11 -05:00
Wolfgang Walther
91a8fee3aa
treewide: remove redundant parentheses
...
Auto-fixed by nixf-diagnose.
2025-10-05 10:52:03 +02:00
NAHO
c8d4dabc43
pkgs: remove optional builtins prefixes from prelude functions
...
Remove optional builtins prefixes from prelude functions by running:
builtins=(
abort
baseNameOf
break
derivation
derivationStrict
dirOf
false
fetchGit
fetchMercurial
fetchTarball
fetchTree
fromTOML
import
isNull
map
null
placeholder
removeAttrs
scopedImport
throw
toString
true
)
fd \
--type file \
. \
pkgs \
--exec-batch sed --in-place --regexp-extended "
s/\<builtins\.($(
printf '%s\n' "${builtins[@]}" |
paste --delimiter '|' --serial -
))\>/\1/g
"
nix fmt
2025-10-04 19:02:37 +02:00
Wolfgang Walther
f6810ca50f
zxcvbn-c: 2.5 -> 2.6 ( #429509 )
2025-08-14 13:35:50 +00:00
Weijia Wang
f9efa51c5f
zxtune: 5100 -> 5101 ( #423521 )
2025-08-03 16:19:56 -06:00
R. Ryantm
c364bacdab
zxcvbn-c: 2.5 -> 2.6
2025-07-30 02:36:18 +00:00
Wolfgang Walther
5a0711127c
treewide: run nixfmt 1.0.0
2025-07-24 13:55:40 +02:00
R. Ryantm
6907e0de80
zxtune: 5100 -> 5101
2025-07-08 15:44:33 +00:00
Sandro
e0b8ebc2d6
zint: split library and GUI ( #407308 )
2025-06-29 22:47:29 +02:00
Sandro Jäckel
c866bcb727
zint: split library and GUI
...
Co-authored-by: Jan Tojnar <jtojnar@gmail.com >
2025-06-10 18:35:01 +02:00
R. Ryantm
3808da6468
zxtune: 5090 -> 5100
2025-06-09 17:29:32 +00:00
liberodark
c6729488de
treewide: remove with lib Part 4
2025-06-07 00:48:50 +02:00
Matthias Beyer
8415e4991c
zx: 8.4.1 -> 8.5.4 ( #413786 )
2025-06-04 10:02:17 +02:00
emaryn
117ea0db04
zxing: 3.1.0 -> 3.5.3
2025-06-04 14:34:56 +08:00
emaryn
e674c64ff9
zx: 8.4.1 -> 8.5.4
...
Diff: https://github.com/google/zx/compare/8.4.1...8.5.4
Changelog: https://github.com/google/zx/releases/tag/8.5.4
2025-06-04 12:06:05 +08:00
Mutsuha Asada
2335f7a0be
zxing-cpp: 2.2.1 -> 2.3.0
...
Changelog: https://github.com/zxing-cpp/zxing-cpp/releases/tag/v2.3.0
Diff: https://github.com/zxing-cpp/zxing-cpp/compare/v2.2.1...v2.3.0
2025-04-11 14:04:15 +02:00
Winter
a19cd4ffb1
Revert "treewide: replace rev with tag"
...
This reverts commit 65a333600d .
This wasn't tested for correctness with something like fodwatch [0],
and should not have been (self-)merged so quickly, especially without
further review.
It also resulted in the breakage of at least one package [1] (and that's
the one we know of and was caught).
A few packages that were updated in between this commit and this revert
were not reverted back to using `rev`, but other than that, this is a
1:1 revert.
[0]: https://codeberg.org/raphaelr/fodwatch
[1]: https://github.com/NixOS/nixpkgs/pull/396904 / 758551e458
2025-04-08 02:57:25 -04:00
Pol Dellaiera
65a333600d
treewide: replace rev with tag
2025-04-07 16:57:22 +02:00
Silvan Mosberger
374e6bcc40
treewide: Format all Nix files
...
Format all Nix files using the officially approved formatter,
making the CI check introduced in the previous commit succeed:
nix-build ci -A fmt.check
This is the next step of the of the [implementation](https://github.com/NixOS/nixfmt/issues/153 )
of the accepted [RFC 166](https://github.com/NixOS/rfcs/pull/166 ).
This commit will lead to merge conflicts for a number of PRs,
up to an estimated ~1100 (~33%) among the PRs with activity in the past 2
months, but that should be lower than what it would be without the previous
[partial treewide format](https://github.com/NixOS/nixpkgs/pull/322537 ).
Merge conflicts caused by this commit can now automatically be resolved while rebasing using the
[auto-rebase script](8616af08d9/maintainers/scripts/auto-rebase ).
If you run into any problems regarding any of this, please reach out to the
[formatting team](https://nixos.org/community/teams/formatting/ ) by
pinging @NixOS/nix-formatting.
2025-04-01 20:10:43 +02:00
José Ribeiro
39ea0e6aa5
zx: 8.4.0 -> 8.4.1
...
Diff: https://github.com/google/zx/compare/8.4.0...8.4.1
Changelog: https://github.com/google/zx/releases/tag/8.4.1
2025-03-12 14:47:20 +00:00
Peder Bergebakken Sundt
357d2530e5
treewide: substitute pname for strings
...
Inspired by https://github.com/NixOS/nixpkgs/pull/387725#issuecomment-2704943777 , script is based on https://github.com/NixOS/nixpkgs/pull/336172 using what i learned in https://github.com/NixOS/nixpkgs/pull/386865 , part of https://github.com/NixOS/nixpkgs/issues/346453
Should be zero rebuilds.
All candidates were made using:
```shell
export NIXPKGS_ALLOW_UNFREE=1
export NIXPKGS_ALLOW_INSECURE=1
export NIXPKGS_ALLOW_BROKEN=1
git-wait restore .
test -s packages.json || ( set -x;
time nix-env --extra-experimental-features no-url-literals --option system x86_64-linux -f ./. -qaP --json --meta --drv-path --out-path --show-trace --no-allow-import-from-derivation --arg config '{ allowAliases = false; }' > packages.json
)
list_attrpath_fname_col() {
jq <packages.json 'to_entries[] | select(.value.meta.position==null|not) | "\(.key)\t\(.value.meta.position)"' -r |
sed -e "s#\t$(realpath .)/#\t#" |
sed -e 's#:\([0-9]*\)$#\t\1#' |
grep . |
grep -iv haskell |
grep -iv /top-level/ |
grep -iv chicken |
grep pkgs/by-name/ |
grep -iv build |
grep -E '/(package|default)\.nix'
}
FLOCKDIR="$(mktemp -d)"
N_WORKERS=4
while read attrpath fname col; do
grep -qE 'repo *= *("\$\{pname\}"|pname);' "$fname" || continue
echo | (
# mutex on fname
flock --nonblock 200 || {
>&2 echo "failed to aquire lock for $fname"
exit 1
}
echo "$attrpath"
data="$(nix eval --impure --expr 'with import ./. {}; { inherit ('"$attrpath"') pname drvPath passthru meta; drvPath2='"$attrpath"'.src.drvPath; }' --json)" || exit
test -n "$data" || exit
pname="$(jq <<<"$data" .pname -r)"
test -n "$pname" || exit
(set -x
sd -F '${pname}' "$pname" "$fname"
sd -F ' = pname;' " = \"$pname\";" "$fname"
)
data2="$(nix eval --impure --expr 'with import ./. {}; { inherit ('"$attrpath"') pname drvPath passthru meta; drvPath2='"$attrpath"'.src.drvPath; }' --json)"
if [[ "$data" = "$data2" ]]; then
(set -x; git-wait add "$fname")
else
(set -x; git-wait restore "$fname")
exit
fi
(set -x
sd -F ' rec {' ' {' "$fname"
)
data3="$(nix eval --impure --expr 'with import ./. {}; { inherit ('"$attrpath"') pname drvPath passthru meta; drvPath2='"$attrpath"'.src.drvPath; }' --json 2>/dev/nul)"
if [[ "$data" = "$data3" ]]; then
(set -x; git-wait add "$fname")
else
(set -x; git-wait restore "$fname")
fi
) 200>"$FLOCKDIR"/"$(sha256sum - <<<"$fname" | cut -d' ' -f1)".lock &
while [[ $(jobs -p | wc -l) -ge $N_WORKERS ]]; do
wait -n < <(jobs -p) || true
done
done < <(list_attrpath_fname_col)
wait
git restore .
time nix-env --extra-experimental-features no-url-literals --option system x86_64-linux -f ./. -qaP --json --meta --drv-path --out-path --show-trace --no-allow-import-from-derivation --arg config '{ allowAliases = false; }' > packages2.json
```
`diff packages{,2}.json` is empty, indicating that no package nor src derivation has changed.
I checked and cherry-picked the changes using `GIT_DIFF_OPTS='-u15' git -c interactive.singleKey=true add --patch`
2025-03-11 23:55:31 +01:00
José Ribeiro
7dc6352e3a
zx: 8.3.0 -> 8.4.0
...
Diff: https://github.com/google/zx/compare/8.3.0...8.4.0
Changelog:
- https://github.com/google/zx/releases/tag/8.3.1
- https://github.com/google/zx/releases/tag/8.3.2
- https://github.com/google/zx/releases/tag/8.4.0
2025-03-04 14:33:48 +00:00
R. Ryantm
75c33b433a
zxtune: 5081 -> 5090
2025-02-19 23:33:25 +00:00
Pol Dellaiera
2a5c17865a
zxpy: use addBinToPathHook
2025-02-04 09:01:38 +01:00